# Roadmap

_дорожная карта развития проекта_

Стратегия — цифровая независимость

## v0
- [x] Разворачивание сервера с мобильного телфона
- [x] Автоматическое резервное копирование
- [x] Автоматическое обновление
- [x] Включение и выключение сервисов
- [x] SSH-доступ для опытных пользователей

## v1
- [ ] Автоматическое разворачивание из резервной копии
- [ ] Автоматическое расширение диска
- [ ] Шифрование диска
- [ ] Откат неудачных апдейтов
- [ ] Биометрическая аутентификация
- [ ] Запуск на Apple Store и Google Play


## v2

- [ ] Поддержка не только облачного сервера, но и hardware (предположительно Rpi4)
- [ ] Управление несколькими серверами из одного мобильного приложения
- [ ] Формирование интерфейса сервиса на стороне бэкенда
- [ ] Рефакторинг UI/UX
- [ ] Обезличевание дебаг-лога для помощи пользователям без раскрытыия конфиденцильных данных

## v3
- [ ] Приватный смартфон
- [ ] Приватный десктоп

# Векторы развития
- [Конфиденциальность](./privacy.md)
- [Автономность](./autonomy.md)
- [Доступность (UI/UX)](./accessibility.md)
- [Анонимность](./anon.md)
- [Безопасность](./security.md)
- [Сервисы](./services.md)
